---
title: Shell prompt guidelines
slug: MDN/Guidelines/Code_guidelines/Shell
tags:
  - Code
  - Guide
  - Guidelines
  - MDN Meta
  - Shell
---
<div>{{MDNSidebar}}</div>
<p class="summary">The following guidelines cover how to write Shell prompts on MDN pages.</p>

<h2 id="Shell_prompts_in_brief">Shell prompts in brief</h2>

<p>A shell is a program that waits for you to type in a command and then press the return key. To indicate which commands you should type, MDN documentation lists them in a code block, similar to code examples. Such a block looks like this:</p>

<pre class="brush: bash example-good notranslate"># This may take a while...
hg clone https://hg.mozilla.org/mozilla-central/ firefox
cd firefox</pre>

<h2 id="Guidelines">Guidelines</h2>

<p>There are a some guidelines to follow when writing a shell code block:</p>

<ul>
 <li>Do not include a "$" or "&gt;" at the beginning of a shell instruction. It confuses more than it helps and it is not useful when copying the instructions.</li>
 <li>Comments start with "#".</li>
 <li>Choose the "Bash" syntax highlighter.</li>
</ul>

<h2 id="Good_shell_prompt_examples_on_MDN">Good shell prompt examples on MDN</h2>

<p>Our <a href="/en-US/docs/Learn/Server-side/Django">Django server-side development docs</a> show good practice presentation of shell prompt commands, etc. on MDN. See <a href="/en-US/docs/Learn/Server-side/Django/development_environment">Setting up a Django development environment</a> for example.</p>

